Move logics out of TempestCommon.__init__()
[functest.git] / build.sh
index 4337e0a..c6bbd85 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -8,6 +8,7 @@ docker/core \
 docker/tempest \
 docker/healthcheck \
 docker/smoke \
+docker/benchmarking \
 docker/features \
 docker/components \
 docker/vnf"}
@@ -16,6 +17,8 @@ build_opts=(--pull=true --no-cache --force-rm=true)
 
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+find . -name Dockerfile -exec sed -i \
+    -e "s|opnfv/functest-tempest|${repo}/functest-tempest:amd64-latest|g" {} +
 for dir in ${amd64_dirs}; do
     (cd "${dir}" &&
         docker build "${build_opts[@]}" \
@@ -25,13 +28,15 @@ for dir in ${amd64_dirs}; do
         (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
 done
 [ ! -z "${amd64_dirs}" ] &&
-    (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.7 || true)
+    (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.8 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|alpine:3.7|multiarch/alpine:arm64-v3.7|g" {} +
+    -e "s|alpine:3.8|multiarch/alpine:arm64-v3.8|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+find . -name Dockerfile -exec sed -i \
+    -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm64-latest|g" {} +
 for dir in ${arm64_dirs}; do
     (cd "${dir}" && docker build "${build_opts[@]}" \
         -t "${repo}/functest-${dir##**/}:arm64-latest" .)
@@ -41,7 +46,7 @@ for dir in ${arm64_dirs}; do
 done
 [ ! -z "${arm64_dirs}" ] &&
     (docker rmi "${repo}/functest-core:arm64-latest" \
-        multiarch/alpine:arm64-v3.7 || true)
+        multiarch/alpine:arm64-v3.8 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?